Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.context.portlet
Class PortletExternalContextImpl

    java.lang.Object
      javax.faces.context.ExternalContext
          org.apache.myfaces.context.portlet.PortletExternalContextImpl

All Implemented Interfaces:
  ReleaseableExternalContext

public class PortletExternalContextImpl
extends javax.faces.context.ExternalContext
implements ReleaseableExternalContext

An ExternalContext implementation for JSF applications that run inside a a Portlet.

Version:
  $Revision: 215974 $ $Date: 2005-07-12 11:55:45 -0400 (Tue, 12 Jul 2005) $
Author:
  Stan Silvert (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class javax.faces.context.ExternalContext
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`PortletExternalContextImpl(javax.portlet.PortletContext portletContext, javax.portlet.PortletRequest portletRequest, javax.portlet.PortletResponse portletResponse)` Creates a new instance of PortletFacesContextImpl

Method Summary
`void` | `dispatch(java.lang.String path)`
`java.lang.String` | `encodeActionURL(java.lang.String url)`
`java.lang.String` | `encodeNamespace(java.lang.String name)`
`java.lang.String` | `encodeResourceURL(java.lang.String url)`
`java.util.Map` | `getApplicationMap()`
`java.lang.String` | `getAuthType()`
`java.lang.Object` | `getContext()`
`java.lang.String` | `getInitParameter(java.lang.String name)`
`java.util.Map` | `getInitParameterMap()`
`java.lang.String` | `getRemoteUser()`
`java.lang.Object` | `getRequest()`
`java.lang.String` | `getRequestContextPath()`
`java.util.Map` | `getRequestCookieMap()`
`java.util.Map` | `getRequestHeaderMap()`
`java.util.Map` | `getRequestHeaderValuesMap()`
`java.util.Locale` | `getRequestLocale()`
`java.util.Iterator` | `getRequestLocales()`
`java.util.Map` | `getRequestMap()`
`java.util.Map` | `getRequestParameterMap()`
`java.util.Iterator` | `getRequestParameterNames()`
`java.util.Map` | `getRequestParameterValuesMap()`
`java.lang.String` | `getRequestPathInfo()`
`java.lang.String` | `getRequestServletPath()`
`java.net.URL` | `getResource(java.lang.String path)`
`java.io.InputStream` | `getResourceAsStream(java.lang.String path)`
`java.util.Set` | `getResourcePaths(java.lang.String path)`
`java.lang.Object` | `getResponse()`
`java.lang.Object` | `getSession(boolean create)`
`java.util.Map` | `getSessionMap()`
`java.security.Principal` | `getUserPrincipal()`
`boolean` | `isUserInRole(java.lang.String role)`
`void` | `log(java.lang.String message)`
`void` | `log(java.lang.String message, java.lang.Throwable exception)`
`void` | `redirect(java.lang.String url)`
`void` | `release()` Release resources that the ExternalContext is holding onto.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletExternalContextImpl

    public PortletExternalContextImpl(javax.portlet.PortletContext portletContext,
                                      javax.portlet.PortletRequest portletRequest,
                                      javax.portlet.PortletResponse portletResponse)

  Creates a new instance of PortletFacesContextImpl

Method Detail

### dispatch

    public void dispatch(java.lang.String path)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeActionURL

    public java.lang.String encodeActionURL(java.lang.String url)

### encodeNamespace

    public java.lang.String encodeNamespace(java.lang.String name)

### encodeResourceURL

    public java.lang.String encodeResourceURL(java.lang.String url)

### getApplicationMap

    public java.util.Map getApplicationMap()

### getAuthType

    public java.lang.String getAuthType()

### getContext

    public java.lang.Object getContext()

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

### getInitParameterMap

    public java.util.Map getInitParameterMap()

### getRemoteUser

    public java.lang.String getRemoteUser()

### getRequest

    public java.lang.Object getRequest()

### getRequestContextPath

    public java.lang.String getRequestContextPath()

### getRequestCookieMap

    public java.util.Map getRequestCookieMap()

### getRequestHeaderMap

    public java.util.Map getRequestHeaderMap()

### getRequestHeaderValuesMap

    public java.util.Map getRequestHeaderValuesMap()

### getRequestLocale

    public java.util.Locale getRequestLocale()

### getRequestLocales

    public java.util.Iterator getRequestLocales()

### getRequestMap

    public java.util.Map getRequestMap()

### getRequestParameterMap

    public java.util.Map getRequestParameterMap()

### getRequestParameterNames

    public java.util.Iterator getRequestParameterNames()

### getRequestParameterValuesMap

    public java.util.Map getRequestParameterValuesMap()

### getRequestPathInfo

    public java.lang.String getRequestPathInfo()

### getRequestServletPath

    public java.lang.String getRequestServletPath()

### getResource

    public java.net.URL getResource(java.lang.String path)
                             throws java.net.MalformedURLException

  Throws:
    `java.net.MalformedURLException`

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String path)

### getResourcePaths

    public java.util.Set getResourcePaths(java.lang.String path)

### getResponse

    public java.lang.Object getResponse()

### getSession

    public java.lang.Object getSession(boolean create)

### getSessionMap

    public java.util.Map getSessionMap()

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

### isUserInRole

    public boolean isUserInRole(java.lang.String role)

### log

    public void log(java.lang.String message)

### log

    public void log(java.lang.String message,
                    java.lang.Throwable exception)

### redirect

    public void redirect(java.lang.String url)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### release

    public void release()

  Description copied from interface: `ReleaseableExternalContext`
  Release resources that the ExternalContext is holding onto.

  Specified by:
    `release` in interface `ReleaseableExternalContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD